org.apache.lucene.search

## Class ShardSearchingTestBase.SearcherAndVersion

- java.lang.Object
- - org.apache.lucene.search.ShardSearchingTestBase.SearcherAndVersion

- Enclosing class:
    ShardSearchingTestBase

      protected static class ShardSearchingTestBase.SearcherAndVersion
      extends Object

  An IndexSearcher and associated version (lease)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IndexSearcher` | `searcher`
    `long` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearcherAndVersion(IndexSearcher searcher, long version)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### searcher

          public final IndexSearcher searcher

    - #### version

          public final long version

  - ### Constructor Detail

    - #### SearcherAndVersion

          public SearcherAndVersion(IndexSearcher searcher,
                                    long version)

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.